Bug 4950 - [UPDATE REQUEST] drakxtools-14.48-3, drakx-kbd-mouse-x11-0.115-2
: [UPDATE REQUEST] drakxtools-14.48-3, drakx-kbd-mouse-x11-0.115-2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-23 22:40 MSK by Konstantin Vlasov
Modified: 2015-01-27 14:30 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
konstantin.vlasov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-01-23 22:40:28 MSK
Some drak packages were updated.
Comment 1 Konstantin Vlasov 2015-01-23 22:47:29 MSK
drakx-kbd-mouse-x11:
https://abf.rosalinux.ru/build_lists/2393979
https://abf.rosalinux.ru/build_lists/2393980

Advisory: Fixed XFdrake crash when started with 'monitor' or 'resolution' parameter (the latter comes also as alias Xdrakres) when no xorg.conf was present.

drakxtools:
https://abf.rosalinux.ru/build_lists/2393983
https://abf.rosalinux.ru/build_lists/2393984

Advisory: Fixed Xdrakres impossible to start by unprivileged user.
Comment 2 FirstLevel 2015-01-26 14:12:15 MSK
I have no issues with all utilities.
For XDrakres. For 32 bit and 64 bit I see such output:


[sergei32@r5-32 ~]$ /usr/bin/Xdrakres
Error: No X configuration found.

[sergei32@r5-32 ~]$ /usr/sbin/Xdrakres
Error: No X configuration found.

[root@r5-32 ~]# /usr/bin/Xdrakres
Error: No X configuration found.
[root@r5-32 ~]# /usr/sbin/Xdrakres
Error: No X configuration found.

Is it normal?
Comment 3 Konstantin Vlasov 2015-01-26 15:06:56 MSK
Yes, that's exactly what was fixed. Now instead of crashing, Xdrakres outputs this error message.

I admit, it would be better to continue working even with empty xorg.conf, but unfortunately I'm not so experienced with X configuration, so I implemented this quick fix instead.
Comment 4 Konstantin Vlasov 2015-01-26 15:09:05 MSK
P.S. Xdrakres should work correctly when you have a single videocard with proprietary drivers installed, that's when xorg.conf is generated.
Comment 5 FirstLevel 2015-01-27 10:44:32 MSK
drakx-kbd-mouse-x11-0.115-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2393979/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2393980/x86_64/main/release/

drakxtools-14.48-3
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2393983/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2393984/x86_64/main/release/

************************ Advisory **********************
Fixed XFdrake crash when started with 'monitor' or 'resolution' parameter (the latter comes also as alias Xdrakres) when no xorg.conf was present.
********************************************************
QA Verified

************************ Advisory **********************
Fixed Xdrakres impossible to start by unprivileged user.
********************************************************
QA Verified